Bug 590680 - Review Request: maven-license-plugin - Maven plugin to update header licenses of source files
Review Request: maven-license-plugin - Maven plugin to update header licenses...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 588142 590679
Blocks: 590681
  Show dependency treegraph
 
Reported: 2010-05-10 09:23 EDT by Guido Grazioli
Modified: 2010-11-14 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version: maven-license-plugin-1.8.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 06:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Alexander Kurtakov 2010-07-13 03:14:32 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-07-13 03:35:30 EDT
There is no maven-changes-plugin and the old one maven2-plugin-changes is gone which effectively stops this review until this dependency is fixed somehow.
Comment 3 Alexander Kurtakov 2010-07-26 10:02:58 EDT
maven-changes-plugin is available in rawhide but new version (1.7.0) of the license plugin is out. I prefer to see it updated to that version before reviewing. Let me know if you have a reason to need this version exactly.
Comment 4 Alexander Kurtakov 2010-08-25 12:03:10 EDT
Guido,
Are you still interested in getting this package in Fedora?
Comment 5 Alexander Kurtakov 2010-08-31 18:18:07 EDT
ping?
Comment 6 Guido Grazioli 2010-09-08 13:43:14 EDT
Sure, ill update maven-release first, this one will come next.
Comment 7 Guido Grazioli 2010-10-07 19:03:38 EDT
I just uploaded new maven-license-plugin 1.8.0 package files here:
http://guidograzioli.fedorapeople.org/packages/maven-license-plugin/

objenesis which depends on this package (well, its not a requirement, just a build plugin) needs updating as well before being ready to be reviewed.
Comment 8 Alexander Kurtakov 2010-10-13 15:51:05 EDT
Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[X]  Rpmlint output:
maven-license-plugin-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
maven-license-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-license-plugin
Not a problem.

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[X]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[-]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[!]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
Used in files but not in install section
[X]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[X]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[X]  Package uses %update_maven_depmap in %post/%postun
[X]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[X]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.


=== Issues ===
1. Please use %_mavenpomdir macro in install section.
2. Package is missing requires maven2 and xmltool.
3. Consider using maven-plugin-testing-harness instead of maven-shared-plugin-testing-harness in BRs. It has been moved to separate package.
Comment 9 Guido Grazioli 2010-10-17 16:34:41 EDT
=== Issues ===
1. Please use %_mavenpomdir macro in install section.
2. Package is missing requires maven2 and xmltool.
3. Consider using maven-plugin-testing-harness instead of
maven-shared-plugin-testing-harness in BRs. It has been moved to separate
package.

Thanks; fixed here:

SPEC: http://guidograzioli.fedorapeople.org/packages/maven-license-plugin/maven-license-plugin.spec
SRPM: http://guidograzioli.fedorapeople.org/packages/maven-license-plugin/maven-license-plugin-1.8.0-2.fc15.src.rpm
Comment 10 Guido Grazioli 2010-10-17 16:41:23 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2539603
Comment 11 Alexander Kurtakov 2010-10-18 01:35:24 EDT
Thanks, 
This package is APPROVED.
Comment 12 Guido Grazioli 2010-10-18 04:14:09 EDT
New Package SCM Request
=======================
Package Name: maven-license-plugin
Short Description: Maven plugin to update header licenses of source files
Owners: guidograzioli
Branches: f14
InitialCC:
Comment 13 Kevin Fenzi 2010-10-18 23:56:24 EDT
Git done (by process-git-requests).
Comment 14 Guido Grazioli 2010-11-06 06:28:18 EDT
Build in rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=201117
Comment 15 Fedora Update System 2010-11-06 06:43:53 EDT
maven-license-plugin-1.8.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/maven-license-plugin-1.8.0-2.fc14
Comment 16 Fedora Update System 2010-11-14 16:37:12 EST
maven-license-plugin-1.8.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.